Get specific data source value
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
Get specific data source value
Return a specific mapping dta source value.
GET
/
v3
/
mapping_data_sources
/
{identifier}
/
values
/
{value}
Get specific data source value
curl --request GET \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Data source's identifier Uniquely identify a mapping data source.
Example:
"mEFayXdO"
Data Source Value's value
Response
Successfully retrieved mapping data source value.
The response is of type object.
Was this page helpful?
⌘I